obj-m += mymounts.o

all: $(PWD)/mymounts.ko

$(PWD)/mymounts.ko: $(PWD)/mymounts.c
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) CC=clang modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

re:
	make clean
	make all

load: $(PWD)/mymounts.ko
	insmod $<

unload: $(PWD)/mymounts.ko
	rmmod $<
